using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 客户微信绑定信息
    /// </summary>
    [SugarTable("YB_BusinessWX", TableDescription = "客户微信绑定信息", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_BusinessWX
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// 客户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "客户ID")]
        public System.Int32 BusinessId { get; set; }

        /// <summary>
        /// 账户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "账户ID")]
        public System.Int32 UserId { get; set; }

        /// <summary>
        /// 小程序openid
        /// </summary>
        [SugarColumn(ColumnDescription = "小程序openid",ColumnDataType ="varchar(50)")]
        public System.String OpenId { get; set; }

        /// <summary>
        /// unionid
        /// </summary>
        [SugarColumn(ColumnDescription = "unionid", ColumnDataType = "varchar(50)")]
        public System.String UnionId { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public System.DateTime CreateTime { get; set; }
    }
}
